# Method: projects.locations.gateways.routeViews.get

- [HTTP request](https://docs.cloud.google.com/service-mesh/v1.24/docs/reference/network-services/rest/v1/projects.locations.gateways.routeViews/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/service-mesh/v1.24/docs/reference/network-services/rest/v1/projects.locations.gateways.routeViews/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/service-mesh/v1.24/docs/reference/network-services/rest/v1/projects.locations.gateways.routeViews/get#body.request_body)
- [Response body](https://docs.cloud.google.com/service-mesh/v1.24/docs/reference/network-services/rest/v1/projects.locations.gateways.routeViews/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/service-mesh/v1.24/docs/reference/network-services/rest/v1/projects.locations.gateways.routeViews/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/service-mesh/v1.24/docs/reference/network-services/rest/v1/projects.locations.gateways.routeViews/get#try-it)

Get a single RouteView of a Gateway.

### HTTP request

`GET https://networkservices.googleapis.com/v1/{name=projects/*/locations/*/gateways/*/routeViews/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the GatewayRouteView resource. Formats: projects/{project_number}/locations/{location}/gateways/{gateway_name}/routeViews/{route_view_name} Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networkservices.route_views.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/service-mesh/v1.24/docs/reference/network-services/rest/v1/projects.locations.gateways.routeViews#GatewayRouteView`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).